#pragma once

#include "ImagePlane.h"

#using <mscorlib.dll>

namespace IDVR {
namespace VolumeRenderer {
namespace Interfaces {

using namespace IDVR::VolumeRenderer;
using namespace IDVR::VolumeRenderer::RenderPrimitives;
using namespace System::Windows::Forms;

public __gc __interface IDrawModel
{
	void start_Drawing(void) = 0;
	double calculate_SamplingFactor(void) = 0;

	__property void set_Canvas(Panel* n_Canvas) = 0;
	__property void set_FrameBuffer(int n_FrameBuffer __gc[,]) = 0;

};
}
}
}
