#include "StdAfx.h"
#include ".\footprintelement.h"
#using <mscorlib.dll>

using namespace IDVR::VolumeRenderer::RenderPrimitives;

//Standard construktor.
FootprintElement::FootprintElement(void)
{
	this->m_ObjectID = NULL;
	this->m_Importance = NULL;
	this->m_Distance = NULL;
}

//Construktor.
FootprintElement::FootprintElement(unsigned short n_ObjectID, short n_Importance, double n_Distance)
{
	this->m_ObjectID = n_ObjectID;
	this->m_Importance = n_Importance;
	this->m_Distance = n_Distance;
}

//Sets the objectID of the footprint element.
void FootprintElement::setObjectID(unsigned short n_ObjectID)
{
	this->m_ObjectID = n_ObjectID;
}

//Sets the importance of the footprint element.
void FootprintElement::setImportance(short n_Importance)
{
	this->m_Importance = n_Importance;
}

//Sets the distance of the footprint element.
void FootprintElement::setDistance(double n_Distance)
{
	this->m_Distance = n_Distance;
}

//Returns the objectID of the footprint element.
unsigned short FootprintElement::getObjectID(void)
{
	return this->m_ObjectID;
}

//Returns the importance of the footprint element.
short FootprintElement::getImportance(void)
{
	return this->m_Importance;
}

//Returns the distance of the footprint element.
double FootprintElement::getDistance(void)
{
	return this->m_Distance;
}