#include "StdAfx.h"
#include ".\idvrcolandopmodulatorsw.h"
#using <mscorlib.dll>

using namespace IDVR::VolumeRenderer::SWVolumeRenderer::IDVRModulationModels;

//Standard Constructor.
IDVRColAndOpModulatorSW::IDVRColAndOpModulatorSW(void)
{
}

//Multiplies the calculated color and opacity values of a given raysample with the level of sparsness calculated in the IDVRCompositing model.
RaySample* IDVRColAndOpModulatorSW::doModulation(RaySample *n_RaySample, Hashtable *n_LevelsOfSparseness)
{
	//modulate color
	/*float temp_Color __gc[] = n_RaySample->get_Color();
	
	temp_Color[0] = temp_Color[0] * Convert::ToSingle(n_LevelsOfSparseness->get_Item(__box(n_RaySample->get_ObjectID())));
	temp_Color[1] = temp_Color[1] * Convert::ToSingle(n_LevelsOfSparseness->get_Item(__box(n_RaySample->get_ObjectID())));
	temp_Color[2] = temp_Color[2] * Convert::ToSingle(n_LevelsOfSparseness->get_Item(__box(n_RaySample->get_ObjectID())));
	
	n_RaySample->set_Color(temp_Color);*/

	//modulate opacity
	float temp_Opacity = n_RaySample->get_Opacity();

	temp_Opacity = temp_Opacity * Convert::ToSingle(n_LevelsOfSparseness->get_Item(__box(n_RaySample->get_ObjectID())));

	n_RaySample->set_Opacity(temp_Opacity);

	return n_RaySample;
}